Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class AttributeRequest

    java.lang.Object
      oracle.ifs.fdk.AttributeRequest

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeRequest

extends java.lang.Object
implements java.io.Serializable

Represents a request for a specific attributes. If the attribute value is a repository object which would map to an Item, additional attributes about the value can be requested in a chained way. This will allow for retrieval of entire trees of related objects and their attributes in one call.

See Also:
  Serialized Form

Constructor Summary
`AttributeRequest()` Required constructor in order to be a Java Bean.
`AttributeRequest(java.lang.String attributeName)` Convenience constructor that sets the attribute name only.
`AttributeRequest(java.lang.String attributeName, AttributeRequest[] attributes)` Convenience constructor that sets both the attribute name and any optional attribute requests.

Method Summary
`java.lang.String` | `getAttributeName()` Returns the attribute name.
`AttributeRequest[]` | `getRequestedAttributes()` Returns the optional requested attributes.
`void` | `setAttributeName(java.lang.String attributeName)` Sets the attribute name.
`void` | `setRequestedAttributes(AttributeRequest[] attributes)` Sets the optional requested attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeRequest

    public AttributeRequest()

  Required constructor in order to be a Java Bean.

### AttributeRequest

    public AttributeRequest(java.lang.String attributeName)

  Convenience constructor that sets the attribute name only.

  Parameters:
    `attributeName` - The attribute that is requested.
  (Unpublished)

### AttributeRequest

    public AttributeRequest(java.lang.String attributeName,
                            AttributeRequest[] attributes)

  Convenience constructor that sets both the attribute name and any optional attribute requests.

  Parameters:
    `attributeName` - The attribute that is requested.
    `attributes` - Any optional attributes that can be requested for the value of this attribute, if the value is a repository object which would be converted to an `Item`. Can be `null`.
  (Unpublished)

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Description copied from class: `AttributeRequest`
  Returns the attribute name.

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)

  Description copied from class: `AttributeRequest`
  Sets the attribute name.

### getRequestedAttributes

    public AttributeRequest[] getRequestedAttributes()

  Description copied from class: `AttributeRequest`
  Returns the optional requested attributes.

### setRequestedAttributes

    public void setRequestedAttributes(AttributeRequest[] attributes)

  Description copied from class: `AttributeRequest`
  Sets the optional requested attributes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD